# ╭───────────────────────────────────╮
# │ This file holds the content to    │
# │ install and configure the plugins │
# │ used by fisher, and of course the │
# │ fisher itself                     │
# ╰───────────────────────────────────╯

function check_fisher
if [[ ! -e $HOME/.config/fish/functions/fisher.fish ]]
  curl -sL https://raw.githubusercontent.com/jorgebucaran/fisher/main/functions/fisher.fish | source && fisher install jorgebucaran/fisher
end
end

set plugin "PatrickF1/fzf.fish" "jorgebucaran/autopair.fish"

function plugins_fisher
    for plug in $plugin
        if fisher update $plug
            echo "Updated $plug"
        else
            fisher install $plug
            echo "Installed $plug"
        end
    end
end
